Page MenuHomePhabricator

Apply operating system font stack to MinervaNeue monospace elements
Closed, ResolvedPublic

Description

Wikimedia Design Style Guide defines an “operating system fonts first” stack for monospace elements like code, kbd or pre, see T209915.
With T175877 in, we should make use of this in MinervaNeue as well as it results in a more harmonious appearance on those operating systems.

BeforeProposed

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterUse operating system font stack for monospace fonts

Event Timeline

Volker_E created this task.Apr 15 2019, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2019, 9:06 PM
Volker_E updated the task description. (Show Details)Apr 16 2019, 1:04 AM

Change 504229 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Use operating system font stack for monospace fonts

https://gerrit.wikimedia.org/r/504229

Volker_E updated the task description. (Show Details)Apr 16 2019, 1:14 AM
ovasileva triaged this task as Normal priority.Apr 16 2019, 10:08 AM
Volker_E raised the priority of this task from Normal to Needs Triage.Apr 16 2019, 8:21 PM
Volker_E triaged this task as Normal priority.
Volker_E updated the task description. (Show Details)

Change 504229 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Use operating system font stack for monospace fonts

https://gerrit.wikimedia.org/r/504229

Volker_E closed this task as Resolved.Apr 17 2019, 8:53 PM
Volker_E claimed this task.
Volker_E edited projects, added UI-Standardization-Kanban; removed Patch-For-Review.